---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "eventline_identity Resource - terraform-provider-eventline"
subcategory: ""
description: |-
  Eventline identity resource
---

# eventline_identity (Resource)

Eventline identity resource

## Example Usage

```terraform
data "eventline_project" "main" {
  name = "main"
}

resource "eventline_identity" "example" {
  name       = "example"
  project_id = data.project.main.id

  connector = "eventline"
  data      = "{\n    \"key\": \"test\"\n  }"
  type      = "api_key"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `connector` (String) The connector used for the identity.
- `data` (String, Sensitive) The json raw data of the identity.
- `name` (String) The name of the identity.
- `project_id` (String) Project id
- `type` (String) The type of the identity.

### Read-Only

- `id` (String) The identifier of the identity.
- `status` (String) The status of the identity.

## Import

Import is supported using the following syntax:

```shell
terraform import eventline_identity.test <project_id>/<identity_id>
```
